{% extends 'en/en_base.html' %}
{% load static %}

{% block content %}
    <section>
        <div class="spacer">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item">
                        <a class="no-link c-black" href="{% url 'frontend:forum_topics' %}">Topics</a>
                    </li>
                    <li class="breadcrumb-item active" aria-current="page">
                        <a class="no-link c-blue"
                           href="{% url 'frontend:forum_threads' thread.topic.slug %}">{{ thread.topic.title }}</a>
                    </li>
                </ol>
            </nav>
            <div class="mb-3">
                <h5>
                    {{ thread.title }} <span class="text-muted">#{{ thread.pk }}</span>
                    {% if thread.is_verified %}
                        <i class="bi bi-patch-check-fill c-lightblue-2 ms-2"></i>
                    {% endif %}
                </h5>
                <small class="text-muted mb-5">
                    {{ thread.user.username }} opened this thread on {{ thread.created_at|date:"M d, Y" }}
                </small>
            </div>
            <div class="card mb-3">
                <div class="card-header">
                    <div class="d-flex justify-content-between">
                        <div class="d-flex">
                            {% if thread.user.image %}
                                <img class="avatar-sm" src="{{ thread.user.image.url }}"/>
                            {% else %}
                                <img class="avatar-sm" src="{% static 'images/common/placeholder.jpeg' %}"
                                     alt="placeholder"/>
                            {% endif %}
                            <small class="ms-3">
                                {{ thread.user.username }} posted on {{ thread.created_at|date:"M d, Y" }}
                            </small>
                        </div>
                        {% if request.user == thread.user %}
                            <div class="d-flex">
                                <a href="{% url 'frontend:forum_thread_edit' thread.pk %}" class="c-black me-3">
                                    <i class="bi bi-pencil-square"></i>
                                </a>
                                <a data-bs-toggle="modal" data-bs-target="#deleteConfirmation" class="c-red">
                                    <i class="bi bi-trash"></i>
                                </a>
                            </div>
                        {% endif %}
                    </div>
                </div>
                <div class="card-body">
                    <div class="card-text">
                        {{ thread.content|safe }}
                    </div>
                </div>
                <div class="card-footer">
                    <div class="d-flex justify-content-end">
                        <a href="{% url 'backend:up_vote' thread.pk %}" class="no-link c-black">
                            <div class="d-flex align-items-center">
                                {% if thread_user_vote == True %}
                                    <i class="bi bi-hand-thumbs-up-fill c-green me-2"></i>
                                {% else %}
                                    <i class="bi bi-hand-thumbs-up me-2"></i>
                                {% endif %}
                                <small>{{ thread_up_vote }}</small>
                            </div>
                        </a>
                        <a href="{% url 'backend:down_vote' thread.pk %}" class="no-link c-black">
                            <div class="d-flex align-items-center ms-3">
                                {% if thread_user_vote == False %}
                                    <i class="bi bi-hand-thumbs-down-fill c-red me-2"></i>
                                {% else %}
                                    <i class="bi bi-hand-thumbs-down me-2"></i>
                                {% endif %}
                                <small>{{ thread_down_vote }}</small>
                            </div>
                        </a>
                    </div>
                </div>
            </div>
            {% for reply in thread_replies %}
                <div class="card mb-3">
                    <div class="card-header">
                        <div class="d-flex">
                            {% if reply.user.image %}
                                <img class="avatar-sm" src="{{ reply.user.image.url }}"/>
                            {% else %}
                                <img class="avatar-sm" src="{% static 'images/common/placeholder.jpeg' %}"
                                     alt="placeholder"/>
                            {% endif %}
                            <small class="ms-3">
                                {{ reply.user.username }} commented on {{ reply.created_at|date:"M d, Y" }}
                            </small>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="card-text">
                            {{ reply.content|safe }}
                        </div>
                    </div>
                </div>
            {% endfor %}
            <div class="card mb-3">
                <div class="card-body">
                    <h6 class="mb-3">Reply</h6>
                    <form action="{% url 'backend:thread_reply' thread.pk %}" method="post">
                        {% csrf_token %}
                        <textarea name="content" id="content"></textarea>
                        <button type="submit" class="btn btn-primary mt-2 float-end">
                            Submit
                        </button>
                    </form>
                </div>
            </div>
    </section>
    <div class="modal fade" id="deleteConfirmation" tabindex="-1" aria-labelledby="deleteConfirmationLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="deleteConfirmationLabel">Delete Thread</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    Are you sure you want to delete this thread?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-bs-dismiss="modal">Close</button>
                    <a href="{% url 'backend:thread_delete' thread.pk %}" class="no-link">
                        <button type="button" class="btn btn-danger">Delete</button>
                    </a>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block js %}
    <script>
        CKEDITOR.replace('content', {
            extraPlugins: 'colorbutton,colordialog'
        });
    </script>
{% endblock %}

